function [A_output,B_output,A_kron_B_output,lmd_diff,inner_prod] = AReigSTensor_experiment(A,B,A_kron_B,options,tenParamStr,output_folder)

    p=2; 
    f_c = [];
    m = size(A,1);
    n = size(B,1);
    order = length(size(B));


    if isfield(options,'Nmax')
        Nmax = options.Nmax;
    else
        Nmax = 10;
    end
    if isfield(options,'Nmax')
        Nmax = options.Nmax;
    else
        Nmax = 10;
    end
    if isfield(options,'dt0')
        dt0 = options.dt0;
    else
        dt0 = .05;
    end
    if isfield(options,'tol')
        tol = options.tol;
    else
        tol = 1e-4;
    end



    mpol('x',m,1);
    mpol('y',n,1);
    mpol('z',m*n,1);

    f_A = symtensor2poly(A,x,order,m);
    f_B = symtensor2poly(B,y,order,n);
    f_A_kron_B = symtensor2poly(A_kron_B,z,order,n*m);

    tic;
    [lmd_A, eigvec_A,  info_A] = AReigSTensors(f_A, f_c, x, order, p, options)
    A_rt = toc;
    A_output = struct(...,
        "eigvals",lmd_A,...
        "eigvecs",eigvec_A',...
        "sta_hist",info_A,...
        "runtime",A_rt...
    );

    tic;
    [lmd_B, eigvec_B,  info_B] = AReigSTensors(f_B, f_c, y, order, p, options)
    B_rt = toc;
    B_output = struct(...,
        "eigvals",lmd_B,...
        "eigvecs",eigvec_B',...
        "sta_hist",info_B,...
        "runtime",B_rt...
    );

    tic;
    [lmd_A_kron_B, eigvec_A_kron_B,  info_A_kron_B] = AReigSTensors(f_A_kron_B, f_c, z, order, p, options)
    A_kron_B_rt = toc;
    A_kron_B_output = struct(...,
        "eigvals",lmd_A_kron_B,...
        "eigvecs",eigvec_A_kron_B',...
        "sta_hist",info_A_kron_B,...
        "runtime",A_kron_B_rt...
    );

    [lmd_diff,inner_prod] = test_tkp_eigenspaces(A_output.eigvals, A_output.eigvecs,...
                                                 B_output.eigvals, B_output.eigvecs,...
                                                 A_kron_B_output.eigvals, A_kron_B_output.eigvecs);

    if nargin > 4 
        filename = strcat(output_folder,tenParamStr,sprintf("_dt0:%f_Nmax:%d_tol:%f_results.mat",dt0,Nmax,tol));  
        save(filename,"A_output","B_output","A_kron_B_output","lmd_diff","inner_prod");
    end

end