function [A_output,B_output,A_kron_B_output,lmd_diff,inner_prod] = NCM_experiment(A,B,A_kron_B,trial_seed,trials,method,tensor_param_str,result_path)


    delta = 10^-10;  % threshold for convergence
    max_iter = 200;    

    tic;
    A_output = NCM_sampling(A,delta,max_iter,trials,trial_seed,method);
    A_sampling_rt = toc;

    tic;
    B_output = NCM_sampling(B,delta,max_iter,trials,trial_seed,method);
    B_sampling_rt = toc;

    tic;
    A_kron_B_output = NCM_sampling(A_kron_B,delta,max_iter,trials,trial_seed,method);
    A_kron_B_sampling_rt = toc;

    [lmd_diff,inner_prod] = test_tkp_eigenspaces(A_output.eigvals, A_output.eigvecs,...
                                                 B_output.eigvals, B_output.eigvecs,...
                                                 A_kron_B_output.eigvals, A_kron_B_output.eigvecs);

    if nargin > 6; 
        if method == "NCM"
            exp_prefix = "NCM_";
        elseif method == "ONCM"
            exp_prefix = "ONCM_";
        end

        filename = strcat(result_path,exp_prefix,tensor_param_str,sprintf("_delta:%1.0e_maxIter:%d_trials:%d_trialSeed:%d_results.mat",delta,max_iter,trials,trial_seed));    
        save(filename,"A_output","A_sampling_rt","B_output","B_sampling_rt","A_kron_B_output","A_kron_B_sampling_rt","lmd_diff","inner_prod");
    end


end