project_loc = "/homes/ccolley/Documents/Research/graphAlignment/ZeigExps/MATLABExps/test/";
output_folder = strcat(project_loc,"diagonal_example/");
if ~isdir(output_folder)
    mkdir(output_folder);
end

p=2; 
f_c = [];
options= struct("Nmax",6,"dt0",.05,"tol",1e-4);
n = 4;
k = 3;

filename = sprintf("diagonal_example_dt0:%f_Nmax:%d_order:%d_tol:%f_results.mat",options.dt0,options.Nmax,k,options.tol)
absolute_filename = strcat(output_folder,filename); 

logRun = true;
if logRun
    log_folder = strcat(output_folder,"log/");
    if ~isdir(log_folder)
        mkdir(log_folder);
    end
    prefix = split(filename,".mat");
    log_file = strcat(log_folder,strcat(prefix(1),".log"))
    diary(log_file);
end


mpol('x',n,1);

f_D4 = x(1)^k + x(2)^k + x(3)^k + x(4)^k;

tic;
[D4_lmd, D4_eigvec,  D4_info] = AReigSTensors(f_D4, f_c, mpol(x), n, p, options);
D4_rt = toc;

n = 4;
mpol('x',n,1);
f_D2 = x(1)^k + x(2)^k;
tic;
[D2_lmd, D2_eigvec,  D2_info] = AReigSTensors(f_D2, f_c, mpol(x), n, p, options);
D2_rt = toc;

save(absolute_filename,"D4_lmd", "D4_eigvec", "D4_info","D4_rt","D2_lmd", "D2_eigvec", "D2_info","D2_rt");


if logRun 
    disp(prefix);
   disp(log_file);
   diary off;
end