function [A_kron_B] = fifth_order_tensor_kron(A,B)
% The tensor Kronecker product of two third order dense tensors. 


A_dims = size(A);
B_dims = size(B);

% tensors must be the same order
assert(length(A_dims) == 5);
assert(length(B_dims) == 5);

A_kron_B_dims = zeros(1,length(A_dims));

for i=1:length(A_dims)
    A_kron_B_dims(i) = A_dims(i)*B_dims(i);
end

A_kron_B = zeros(A_kron_B_dims);


for i =1:A_dims(1)
    for j =1:A_dims(2)
        for k =1:A_dims(3)     
            for l =1:A_dims(4)
                for q=1:A_dims(5)
                    for ip =1:B_dims(1)
                        for jp =1:B_dims(2)
                            for kp =1:B_dims(3)
                               for lp =1:B_dims(4)
                                  for qp =1:B_dims(5)
                                    A_kron_B(i+A_dims(1)*(ip-1),j+A_dims(2)*(jp-1),k+A_dims(3)*(kp-1),l+A_dims(4)*(lp-1),q+A_dims(5)*(qp-1)) = A(i,j,k,l,q)*B(ip,jp,kp,lp,qp);
                                  end
                              end
                           end
                        end
                    end
                end
            end
        end
    end
end



end

