function [A,B,A_kron_B] = generate_tensors(n,m,order,seed,tensor_type,output_folder)

    rng(seed);

    if tensor_type == "unweighted"
        A = full(symtensor(@(x,y) double(rand(x,y)>.25), order, m));
        B = full(symtensor(@(x,y) double(rand(x,y)>.25), order, n));
    elseif tensor_type == "weighted"
        A = full(symtensor(@(x,y) round(randn(x,y),1), order, m));
        B = full(symtensor(@(x,y) round(randn(x,y),1), order, n));
    end

    if order == 3
         A_kron_B = third_order_tensor_kron(A,B);
    elseif order == 4 
         A_kron_B = fourth_order_tensor_kron(A,B); 
    elseif order == 5
         A_kron_B = fifth_order_tensor_kron(A,B);
    end    
  
    if tensor_type == "weighted"
      filename = strcat(output_folder,sprintf("weighted_TKP_n:%d_m:%d_order:%d_seed:%d.mat",n,m,order,seed));
    elseif tensor_type == "unweighted"
      filename = strcat(output_folder,sprintf("unweighted_TKP_n:%d_m:%d_order:%d_seed:%d.mat",n,m,order,seed));
    end
    save(filename,"A","B","A_kron_B");



end